''PinIndex.spin -- A device pin index enumerator common definition for run-time selection.

CON '' enumerations for runtime pin selection from a file or dat array

  #0
  VERSION  ' byte index 0 -- the first byte in the array an defines chip id
  SIZE     ' byte index 1 -- the second byte in the array an defines the array size

  TERMINATOR = $ff 

  ' PIN types
  #1
  TV_DAC1   
  VGA1     
  FSRW1_DO 
  FSRW1_Clk
  FSRW1_DI 
  FSRW1_CS 
  MOUSE1_DAT 
  MOUSE1_CLK
  
  'etc...   ' add new types as new devices are developed
  
PUB unused    