'' Propeller Pin selection demo

OBJ
   vga:         "VGA_Text.spin"
   tv:          "TV_Text.spin"
   pindef:      "PinDefs.spin"
   pindex:      "PinIndex.spin"
   
CON
   _clkmode  = pindef#_clkmode
   _xinfreq  = pindef#_xinfreq
   
DAT '' DAT section for demo purposes only that might exist in EEPROM or an SD file

        ' This DAT array is for testing only and would not be part of binary unless desired
        pins FILE "prophw.bin"  ' file can be built with a GUI or other means
         
{
        ' This array represents a data structure of what might be in an EEPROM or SD file
        pinsdemo
        byte $01 ' propeller version
        byte  32 ' number of bytes possible in pin-pair array
         
        byte  pindex#VGA1
        byte  pindef#VGA1
        byte  pindex#TV_DAC1
        byte  pindef#TV_DAC1
        byte  pindex#MOUSE1_DAT
        byte  pindef#MOUSE1_DAT
        byte  pindex#MOUSE1_CLK
        byte  pindef#MOUSE1_CLK
        byte  pindex#FSRW1_DO
        byte  pindef#FSRW1_DO
        byte  pindex#FSRW1_Clk
        byte  pindef#FSRW1_Clk
        byte  pindex#FSRW1_DI
        byte  pindef#FSRW1_DI
        byte  pindex#FSRW1_CS
        byte  pindef#FSRW1_CS
         
        byte  -1, -1           ' end of list marker
         
}
   
   
PUB Start | tvpin

  vga.start(pindef#VGA1)
  vga.str(string("Hello VGA "))

  tvpin := getpin(pindex#TV_DAC1)
  vga.dec(tvpin)

  if(tvpin < 0) ' check for valid data
    vga.str(string("13,Invalid Version",13))
    tvpin := 12
  vga.dec(tvpin)
      
  tv.start(tvpin)
  tv.str(string("Hello TV"))

  repeat

PUB getPin(index) | ii

  if (pins[pindex#VERSION] <> chipver)
     return -1
  else
    repeat ii from 2 to pins[pindex#SIZE]+1
      if(pins[ii] == index)
         return pins[ii+1]
  return -1
      